Package org.bukkit.util

# Interface StructureSearchResult

public interface StructureSearchResult
Holds the result of searching for a structure.

See Also:
  - `World.locateNearestStructure(Location, Structure, int, boolean)`
  - `World.locateNearestStructure(Location, StructureType, int, boolean)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull Location`
`getLocation()`
Return the location of the structure.
`@NotNull Structure`
`getStructure()`
Return the structure which was found.

## Method Details

### getStructure

@NotNull @NotNull Structure getStructure()
Return the structure which was found.

Returns:
  the found structure.

### getLocation

@NotNull @NotNull Location getLocation()
Return the location of the structure.

Returns:
  the location the structure was found.